import { defHttp } from '/@/utils/http/axios';

import { ErrorMessageMode } from '/#/axios';

enum Api {
  Index = '/statistic/index',
}

/**
 * @description: 首页
 */
export function statisticIndexApi(data: any, mode: ErrorMessageMode = 'message') {
  return defHttp.get<any>(
    {
      url: Api.Index,
      data,
    },
    {
      errorMessageMode: mode,
    },
  );
}
